Issue 5223

Summary: Style and stylist proposal
Product: Writer Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, xslf
Version: OOo 1.0.0   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://koti.mbnet.fi/mlavikai/oo/style_proposal.html
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Style and stylist proposal none

Description Unknown 2002-05-23 16:43:14 UTC
This is my proposal for the future of styles and stylist.
Comment 1 Unknown 2002-05-23 16:44:56 UTC
Created attachment 1758 [details]
Style and stylist proposal
Comment 2 ddaniels 2002-09-16 20:12:59 UTC
it provides a step forward out of the styling problems that OOo poses
for average users... the current style handling is not dependable nor
consisten thereby increasing user frustration with the product
Comment 3 Unknown 2002-09-17 04:51:27 UTC
In my oppinion, most users should ONLY ever use styles. In an
organisation, the styles should already be set up by a layout expert
and the users just pick styles(types) for each paragraph/section. This
prevents inconsistent, and usually ugly, documents being produced
within an organisation. It also allows the organsation to globally
change the look of all their documents with having to manually fix
each individiually.

The ultimate would be for OOo to have an option that FORCES the user
to use styles and locks-out all the other layout controls. This could
be on a per template, per document, or per installation basis. An
option should also be supplied to disallow blank lines, and limit the
amount of boldface/italic/underline per style per element.

If a user really wants to change the layout/look of a document, they
should then add some custom styles to their templates (or just the
document). This will get people thinking in terms of styles and
content, and not of how the document 'looks'.
Comment 4 Unknown 2002-09-17 04:52:03 UTC
In my oppinion, most users should ONLY ever use styles. In an
organisation, the styles should already be set up by a layout expert
and the users just pick styles(types) for each paragraph/section. This
prevents inconsistent, and usually ugly, documents being produced
within an organisation. It also allows the organsation to globally
change the look of all their documents with having to manually fix
each individiually.

The ultimate would be for OOo to have an option that FORCES the user
to use styles and locks-out all the other layout controls. This could
be on a per template, per document, or per installation basis. An
option should also be supplied to disallow blank lines, and limit the
amount of boldface/italic/underline per style per element.

If a user really wants to change the layout/look of a document, they
should then add some custom styles to their templates (or just the
document). This will get people thinking in terms of styles and
content, and not of how the document 'looks'.
Comment 5 Unknown 2002-09-17 05:24:19 UTC
One additional thing to go with your style/stylist proposal is an
element that can be used to describe a list. This would automatically
create (link to) descendant(parent?) styles that provide independant
formatting for first, first-and-only, middle (multiple) and last
elements. Bullets and numbering should be properly integrated with
styles - at present it appears to be half way there. Of course
MSWord's sad attempt isn't even in the ballpark.
Comment 6 stefan.baltzer 2002-10-01 17:05:04 UTC
Reassigned to Christian.
Comment 7 christian.jansen 2003-03-24 07:52:16 UTC
Reassiged to Bettina.
Comment 8 ace_dent 2008-05-16 02:38:40 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 9 bettina.haberer 2010-05-21 14:38:38 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".